<?php
add_action( 'tgmpa_register', 'sebian_register_required_plugins' );


if(!function_exists('lasf_get_plugin_source')){
    function lasf_get_plugin_source( $new, $initial, $plugin_name, $type = 'source'){
        if(isset($new[$plugin_name], $new[$plugin_name][$type]) && version_compare($initial[$plugin_name]['version'], $new[$plugin_name]['version']) < 0 ){
            return $new[$plugin_name][$type];
        }
        else{
            return $initial[$plugin_name][$type];
        }
    }
}

if(!function_exists('sebian_register_required_plugins')){

	function sebian_register_required_plugins() {

        $initial_required = array(
            'lastudio-core' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/sebian/plugins/lastudio-core/2.0.8/lastudio-core.zip',
                'version'   => '2.0.8'
            ),
            'sebian-demo-data' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/sebian/plugins/sebian-demo-data/1.0.0/sebian-demo-data.zip',
                'version'   => '1.0.0'
            ),
            'revslider' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/shared/plugins/revslider/6.5.4/revslider.zip',
                'version'   => '6.5.4'
            ),
            'js_composer' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/shared/plugins/js_composer/6.7.0/js_composer.zip',
                'version'   => '6.7.0'
            )
        );

        $from_option = get_option('sebian_required_plugins_list', $initial_required);
        
		$plugins = array();

		$plugins[] = array(
			'name'					=> esc_html__('WPBakery Visual Composer','sebian'),
			'slug'					=> 'js_composer',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'js_composer'),
            'required'				=> true,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'js_composer', 'version')
		);

		$plugins[] = array(
			'name'					=> esc_html__('Slider Revolution','sebian'),
			'slug'					=> 'revslider',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'revslider'),
            'required'				=> false,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'revslider', 'version')
		);

		$plugins[] = array(
			'name'					=> esc_html__('LA Studio Core','sebian'),
			'slug'					=> 'lastudio-core',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-core'),
            'required'				=> true,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-core', 'version')
		);

		$plugins[] = array(
			'name'					=> esc_html__('Sebian Package Demo Data','sebian'),
			'slug'					=> 'sebian-demo-data',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'sebian-demo-data'),
            'required'				=> true,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'sebian-demo-data', 'version')
		);

		$plugins[] = array(
			'name'     				=> esc_html__('WooCommerce','sebian'),
			'slug'     				=> 'woocommerce',
			'version'				=> '5.5.0',
			'required' 				=> false
		);

		$plugins[] = array(
			'name'     				=> esc_html__('Envato Market', 'sebian'),
			'slug'     				=> 'envato-market',
			'source'   				=> esc_url('https://envato.github.io/wp-envato-market/dist/envato-market.zip'),
			'required' 				=> false,
			'version' 				=> '2.0.5'
		);

		$plugins[] = array(
			'name' 					=> esc_html__('Contact Form 7', 'sebian'),
			'slug' 					=> 'contact-form-7',
			'required' 				=> false
		);

		$plugins[] = array(
			'name'     				=> esc_html__('YITH WooCommerce Wishlist','sebian'),
			'slug'     				=> 'yith-woocommerce-wishlist',
			'required' 				=> false
		);

		$plugins[] = array(
			'name' 					=> esc_html__('Easy Forms for MailChimp by YIKES', 'sebian'),
			'slug' 					=> 'yikes-inc-easy-mailchimp-extender',
			'required' 				=> false
		);

		$config = array(
			'id'           				=> 'sebian',
			'default_path' 				=> '',
			'menu'         				=> 'tgmpa-install-plugins',
			'has_notices'  				=> true,
			'dismissable'  				=> true,
			'dismiss_msg'  				=> '',
			'is_automatic' 				=> false,
			'message'      				=> ''
		);

		tgmpa( $plugins, $config );

	}

}